Bug 118549

Summary: [EFL] --minimal build fails while linking libwebcore_efl.so
Product: WebKit Reporter: Oleg <oleg.beletski>
Component: Tools / TestsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: cdumez, commit-queue, gyuyoung.kim, rakuco
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: Linux   
Attachments:
Description Flags
Patch
none
Patch none

Description Oleg 2013-07-10 23:25:17 PDT
./Tools/Scripts/build-webkit --efl --cmakeargs="-DSHARED_CORE=ON" --minimal fails with this error:

Linking CXX shared library ../../lib/libwebcore_efl.so
CMakeFiles/WebCore.dir/plugins/PluginPackageNone.cpp.o: In function `WebCore::PluginPackage::determineQuirks(WTF::String const&)':
PluginPackageNone.cpp:(.text._ZN7WebCore13PluginPackage15determineQuirksERKN3WTF6StringE+0x0): multiple definition of `WebCore::PluginPackage::determineQuirks(WTF::String const&)'
CMakeFiles/WebCore.dir/plugins/PluginPackage.cpp.o:PluginPackage.cpp:(.text._ZN7WebCore13PluginPackage15determineQuirksERKN3WTF6StringE+0x0): first defined here
collect2: ld returned 1 exit status
make[2]: *** [lib/libwebcore_efl.so.0.1.0] Error 1
make[1]: *** [Source/WebCore/CMakeFiles/WebCore.dir/all] Error 2
make: *** [all] Error 2
Comment 1 Oleg 2013-07-11 14:16:21 PDT
Created attachment 206487 [details]
Patch
Comment 2 Raphael Kubo da Costa (:rakuco) 2013-07-12 04:05:35 PDT
Comment on attachment 206487 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=206487&action=review

Looks OK to me, but please fix the style notes I added.

> Source/WebCore/ChangeLog:8
> +        This is fix for 11854.
> +
> +        * CMakeLists.txt: 

The bug number is already mentioned above, so there's no need to say it again. Instead, it's helpful to describe what you did in the "* CMakeLists.txt" line, like "Move file foo to the block bar because of this and that".

> Source/WebCore/CMakeLists.txt:2611
>          plugins/npapi.cpp
> +        plugins/PluginPackage.cpp

Please keep this list alphabetically (and case-sensitively) sorted.
Comment 3 Chris Dumez 2013-07-12 04:11:16 PDT
Comment on attachment 206487 [details]
Patch

r- until comments are addressed
Comment 4 Oleg 2013-07-12 06:54:28 PDT
Created attachment 206539 [details]
Patch
Comment 5 Oleg 2013-07-12 06:57:32 PDT
Comment on attachment 206539 [details]
Patch

Thanks for you comments, new patch attached. Setting commit flag.
Comment 6 Chris Dumez 2013-07-12 07:01:56 PDT
Comment on attachment 206539 [details]
Patch

Ok, r=me.
Comment 7 WebKit Commit Bot 2013-07-12 07:43:06 PDT
Comment on attachment 206539 [details]
Patch

Clearing flags on attachment: 206539

Committed r152591: <http://trac.webkit.org/changeset/152591>
Comment 8 WebKit Commit Bot 2013-07-12 07:43:09 PDT
All reviewed patches have been landed.  Closing bug.